Main Page Alphabetical List Data Structures File List Data Fields Globals

# foreign.h File Reference

## Data Structures
struct | _wmf_foreign_t
## Defines
#define | WMF_FOREIGN_SUPPORTS_PNG (1 << 0)
#define | WMF_FOREIGN_SUPPORTS_JPEG (1 << 1)
#define | WMF_FOREIGN_GetData(Z) ((wmf_foreign_t*)((Z)->device_data))
## Typedefs
typedef _wmf_foreign_t | wmf_foreign_t
## Functions
void | wmf_foreign_function (wmfAPI *API)
int | wmf_image_load_png (wmfAPI *, FILE *, wmfImage *)
int | wmf_image_load_jpg (wmfAPI *, FILE *, wmfImage *)
int | wmf_image_save_eps (wmfAPI *, FILE *, wmfImage *)
void | wmf_image_free (wmfAPI *, wmfImage *)

## Define Documentation

#define WMF_FOREIGN_GetData | ( | Z |  | ) | ((wmf_foreign_t*)((Z)->device_data))

#define WMF_FOREIGN_SUPPORTS_JPEG (1 << 1)

#define WMF_FOREIGN_SUPPORTS_PNG (1 << 0)

## Typedef Documentation

typedef struct _wmf_foreign_t wmf_foreign_t

## Function Documentation

void wmf_foreign_function | ( | wmfAPI * | API | ) |

void wmf_image_free | ( | wmfAPI * | ,
|  | wmfImage * |
| ) |

int wmf_image_load_jpg | ( | wmfAPI * | ,
|  | FILE * | ,
|  | wmfImage * |
| ) |

int wmf_image_load_png | ( | wmfAPI * | ,
|  | FILE * | ,
|  | wmfImage * |
| ) |

int wmf_image_save_eps | ( | wmfAPI * | ,
|  | FILE * | ,
|  | wmfImage * |
| ) |